Module javafx.base
Package javafx.collections

# Interface ArrayChangeListener<T extends ObservableArray<T>>

public interface ArrayChangeListener<T extends ObservableArray<T>>
Interface that receives notifications of changes to an ObservableArray.

Since:
  JavaFX 8.0

## Method Summary

Modifier and Type
Method
Description
`void`
`onChanged(T observableArray, boolean sizeChanged, int from, int to)`
Called after a change has been made to an ObservableArray.

## Method Details

### onChanged

void onChanged(T observableArray, boolean sizeChanged, int from, int to)
Called after a change has been made to an ObservableArray.

Parameters:
  `observableArray` - the array that changed
  `sizeChanged` - indicates size of array changed
  `from` - A beginning (inclusive) of an interval related to the change
  `to` - An end (exclusive) of an interval related to the change.